# GetRegistrationDetails

Return registration information.

`GET /filingassist/workflow-registrations/{id}`

**API:** Registration Details
**Tag:** Registrations
**API Version:** 1.0.0
**Base URL:** https://www.businesslicenses.com
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/registration-and-licensing/api/registration-and-license-details/methods/Registrations/GetRegistrationDetails/

## Description

Returns registration information. Use $expand to retrieve related resources: status (Completed, Completed Action Required, or No License Required), detailFields (registration detail fields used for registration), deliverableAttachments (files created during the registration process), and renewalInfo (renewal and expiration details).

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes | Unique identifier of the registration. |
| `avalara-version` | string | header | Yes | Specifies the API version to use. |
| `key` | string | query | No | Key provided by Avalara. Required only for partners retrieving their registration information. |
| `$expand` | string | query | No | Comma-delimited list of related resources to include in the response. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Supports request correlation across requests using the X-Correlation-ID header. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Detailed information about the registration. |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |
| 500 | Internal Server Error |  |

## Example Request

```bash
curl -X GET "https://www.businesslicenses.com/filingassist/workflow-registrations/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```